CREATE TABLE log_satusehat_encounter (
    idxdaftar BIGINT PRIMARY KEY,
    encounter_id VARCHAR(100),
    request_payload TEXT,
    response_payload TEXT,
    status VARCHAR(20),
    error_message TEXT
);
CREATE TABLE log_satusehat_observation (
    idxpemeriksaan BIGINT PRIMARY KEY,
    observation_id VARCHAR(100),
    request_payload TEXT,
    response_payload TEXT,
    status VARCHAR(20),
    error_message TEXT
);

CREATE TABLE log_satusehat_condition (
    idxdiagnosa BIGINT PRIMARY KEY,
    condition_id VARCHAR(100),
    request_payload TEXT,
    response_payload TEXT,
    status VARCHAR(20),
    error_message TEXT
);

CREATE TABLE log_satusehat_allergyintolerance (
    idxalergi BIGINT PRIMARY KEY,
    allergyintolerance_id VARCHAR(100),
    request_payload TEXT,
    response_payload TEXT,
    status VARCHAR(20),
    error_message TEXT
);

CREATE TABLE log_satusehat_clinicalimpression (
    idxkesan BIGINT PRIMARY KEY,
    clinicalimpression_id VARCHAR(100),
    request_payload TEXT,
    response_payload TEXT,
    status VARCHAR(20),
    error_message TEXT
);

CREATE TABLE log_satusehat_diagnosticreport (
    idxhasil BIGINT PRIMARY KEY,
    diagnosticreport_id VARCHAR(100),
    request_payload TEXT,
    response_payload TEXT,
    status VARCHAR(20),
    error_message TEXT
);

CREATE TABLE log_satusehat_immunization (
    idximunisasi BIGINT PRIMARY KEY,
    immunization_id VARCHAR(100),
    request_payload TEXT,
    response_payload TEXT,
    status VARCHAR(20),
    error_message TEXT
);

CREATE TABLE log_satusehat_imagingstudy (
    idxradiologi BIGINT PRIMARY KEY,
    imagingstudy_id VARCHAR(100),
    request_payload TEXT,
    response_payload TEXT,
    status VARCHAR(20),
    error_message TEXT
);

CREATE TABLE log_satusehat_servicerequest (
    idxorder BIGINT PRIMARY KEY,
    servicerequest_id VARCHAR(100),
    request_payload TEXT,
    response_payload TEXT,
    status VARCHAR(20),
    error_message TEXT
);

CREATE TABLE log_satusehat_specimen (
    idxspesimen BIGINT PRIMARY KEY,
    specimen_id VARCHAR(100),
    request_payload TEXT,
    response_payload TEXT,
    status VARCHAR(20),
    error_message TEXT
);

CREATE TABLE log_satusehat_questionnaireresponse (
    idxkuesioner BIGINT PRIMARY KEY,
    questionnaireresponse_id VARCHAR(100),
    request_payload TEXT,
    response_payload TEXT,
    status VARCHAR(20),
    error_message TEXT
);

CREATE TABLE log_satusehat_medicationrequest (
    idxresep BIGINT PRIMARY KEY,
    medicationrequest_id VARCHAR(100),
    request_payload TEXT,
    response_payload TEXT,
    status VARCHAR(20),
    error_message TEXT
);

CREATE TABLE log_satusehat_medicationdispense (
    idxpemberian BIGINT PRIMARY KEY,
    medicationdispense_id VARCHAR(100),
    request_payload TEXT,
    response_payload TEXT,
    status VARCHAR(20),
    error_message TEXT
);

CREATE TABLE log_satusehat_medicationstatement (
    idxriwayatobat BIGINT PRIMARY KEY,
    medicationstatement_id VARCHAR(100),
    request_payload TEXT,
    response_payload TEXT,
    status VARCHAR(20),
    error_message TEXT
);


CREATE TABLE log_satusehat_medication (
    idxobat BIGINT PRIMARY KEY,
    medication_id VARCHAR(100),
    request_payload TEXT,
    response_payload TEXT,
    status VARCHAR(20),
    error_message TEXT
);
